Bug 132123 - update www/feedonfeeds
Summary: update www/feedonfeeds
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-26 11:30 UTC by Krzysztof Stryjek
Modified: 2009-03-02 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (524 bytes, patch)
2009-02-26 11:30 UTC, Krzysztof Stryjek
no flags Details | Diff
file.diff (2.89 KB, patch)
2009-02-26 11:30 UTC, Krzysztof Stryjek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof Stryjek 2009-02-26 11:30:03 UTC
	I want to use feed on feeds application, but I see there is no
updates till 2005 year. And on webpage there new release of this application.
So I've made port update.

Fix: ----------------------------------------------------------------------
----------------------------------------------------------------------

----------------------------------------------------------------------



I hope this is correct (I've tested on my local machine and everything seems
to work good) and port will be updated soon.

Greetings
--
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek--bWeqPkOlGNMGoBiVHmg1KlrhzdGRR5OaGUQxEYPeEviV8hjf
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2005-05-26 22:11:59.000000000 +0200
+++ Makefile	2009-02-26 11:37:24.000000000 +0100
@@ -7,18 +7,21 @@
 #
 
 PORTNAME=	feedonfeeds
-PORTVERSION=	0.1.9
+PORTVERSION=	0.5
+EXTRACT_SUFX=	.tgz
 CATEGORIES=	www
-MASTER_SITES=	http://feedonfeeds.com/
+PROJECTHOST=	feed-on-feeds
+MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Server side personal RSS (and Atom) aggregator
 
-USE_PHP=	mysql xml
+USE_PHP=	mysql xml zlib curl mbstring iconv
 WANT_PHP_WEB=	yes
 USE_MYSQL=	yes
 NO_BUILD=	yes
-DATADIR?=	${PREFIX}/www/data/feedonfeeds
+DATADIR?=	${PREFIX}/www/feed-on-feeds
+WRKSRC=		${WRKDIR}/${PROJECTHOST}
 
 do-install:
 	${MKDIR} ${DATADIR}
How-To-Repeat: 	cd www/feedonfeeds && make all install clean :-))
Comment 1 Mark Linimon 2009-02-26 16:09:36 UTC
----- Forwarded message from Krzysztof Stryjek <wtp@bsdserwis.com> -----

From: Krzysztof Stryjek <wtp@bsdserwis.com>
To: Mark Linimon <linimon@lonesome.com>
Subject: Re: ports/132123: feed on feeds port update
Organization: wtps0n, private, Poland
WWW-Home-Page: http://fw.wtp3.org/~wtp/
X-PGP-Fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

Hi,

On Thu, Feb 26, 2009 at 10:01:20AM -0600, Mark Linimon wrote:
> Since this port is unmaintained, would you be interested in maintaining it?
> 
Yes. I hope I will be good maintainer :-)

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

----- End forwarded message -----
Comment 2 Wesley Shields freebsd_committer 2009-02-26 17:18:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 3 Wesley Shields freebsd_committer 2009-03-02 21:09:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-03-02 21:09:25 UTC
wxs         2009-03-02 21:09:09 UTC

  FreeBSD ports repository

  Modified files:
    www/feedonfeeds      Makefile distinfo pkg-plist 
  Log:
  - Update to 0.5
  - Switch to using Google Code
  - Additional PHP dependencies: zlib, curl, mbstring, iconv
  - Pass maintainership to submitter
  
  PR:             ports/132123
  Submitted by:   Krzysztof Stryjek <wtp@bsdserwis.com>
  
  Revision  Changes    Path
  1.3       +8 -5      ports/www/feedonfeeds/Makefile
  1.4       +3 -3      ports/www/feedonfeeds/distinfo
  1.5       +52 -31    ports/www/feedonfeeds/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"